| usb Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsb_Config Struct Reference
Overview

The XUsb_Config structure contains configuration information for the USB controller. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Core register base address. More...
u8 | DmaEnabled
| DMA support Enabled. More...
u8 | AddrWidth
| DMA Address Width. More...

## Detailed Description

The XUsb_Config structure contains configuration information for the USB controller.

This structure only contains the basic configuration for the device. The caller also needs to initialize the USB device controller with the XUsb_ConfigureDevice() function call.

## Field Documentation

u8 XUsb_Config::AddrWidth

DMA Address Width.

Referenced by XUsb_CfgInitialize(), and XUsb_DmaTransfer().

UINTPTR XUsb_Config::BaseAddress

Core register base address.

Referenced by Chapter9(), Ep0IntrHandler(), EP0ProcessInToken(), EP0ProcessOutToken(), Ep1IntrHandler(), Ep2IntrHandler(), GetConfiguration(), GetInterface(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), main(), ProcessRxCmd(), Read10(), SetConfiguration(), SetupControlWriteStatusStage(), UsbIfIntrHandler(), UsbKbdExample(), UsbMouseExample(), Write10(), XUsb_CfgInitialize(), XUsb_DmaReset(), XUsb_DmaTransfer(), XUsb_EpConfigure(), XUsb_EpDataRecv(), XUsb_EpDataSend(), XUsb_EpDisable(), XUsb_EpEnable(), XUsb_EpIsoTransferConfigure(), XUsb_EpStall(), XUsb_EpUnstall(), XUsb_GetFrameNum(), XUsb_IntrDisable(), XUsb_IntrEnable(), XUsb_IntrHandler(), XUsb_ReadErrorCounters(), XUsb_SetDeviceAddress(), XUsb_SetTestMode(), XUsb_SieReset(), XUsb_Start(), XUsb_Stop(), XUsb_UlpiPhyReadRegister(), and XUsb_UlpiPhyWriteRegister().

u16 XUsb_Config::DeviceId

Unique ID of device.

Referenced by XUsb_CfgInitialize().

u8 XUsb_Config::DmaEnabled

DMA support Enabled.

Referenced by Ep1IntrHandler(), Ep2IntrHandler(), main(), ProcessRxCmd(), Read10(), Write10(), XUsb_CfgInitialize(), XUsb_EpDataRecv(), XUsb_EpDataSend(), and XUsb_IntrHandler().